import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
export declare class DescriptionSwitchDirective implements OnInit, OnChanges {
    private element;
    private _translate;
    appDescriptionSwitch: AbstractControl;
    parentComponent?: AbstractControl;
    defaultStyle?: boolean;
    private ngUnsubscribe;
    constructor(element: ElementRef, _translate: TranslateService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    setDescription(value: boolean): void;
    setStyle(value: boolean): void;
}
